#!/usr/bin/env python
# NOTE -- when making distribution, distutils makes a MANIFEST folder
# subsequently distutils ignores new files - urk

import os
import sys
from distutils.core import setup, Extension

prefix = os.path.join('/', sys.prefix, 'share' ,'xboa')
dfiles = [(prefix+'/doc/',  ['README']),
          (prefix+'/data/', [
           'xboa/examples/example_data/ecalc9f_for009_test.dat',
           'xboa/examples/example_data/ecalc9f_g4mice_test.dat',
           'xboa/examples/example_data/ecalc9f.inp',
           'xboa/examples/example_data/ecalc9f_prel.inp',
           'xboa/examples/example_data/ecalc9f_test.dat',
           'xboa/examples/example_data/for009.dat',
           'xboa/examples/example_data/Sim.out.gz',
           'xboa/examples/example_data/maus_test.root',
           'xboa/examples/example_data/muon1_output.csv'
           ])
]

setup(name='xboa',
      version='0.15.1',
      description='Cross-Platform Beam Optics Analysis - A multiparticle tracking postprocessor library for accelerator physicists',
      author='Chris Rogers',
      author_email='chris.rogers@stfc.ac.uk',
      url='http://micewww.pp.rl.ac.uk/projects/x-boa/wiki',
      packages=['xboa', 'xboa.core', 'xboa.test', 'xboa.examples'],
      ext_modules = [Extension('xboa.core.Bunchcore', ['xboa/core/Bunchcore.c']),
                     Extension('xboa.core.Hitcore',   ['xboa/core/Hitcore.c'])],
      scripts=['xboa/examples/XBOA9f'],
      data_files=dfiles,
      license='GPLv3',
      platforms='linux',
      long_description='Cross-Platform Beam Optics Analysis\nA multiparticle tracking postprocessor library for accelerator physicsists.\n You\'ve got GPT running, or your favourite tracking code, what now? This package is a post-processor for taking beam data to calculate emittance, Twiss functions, etc. Also includes bindings to plotting packages ROOT and matplotlib, and a whole lot more!',
     )


